package de.szut.casino.blackjack;

import org.springframework.stereotype.Service;
import java.util.Random;

@Service
public class BlackJackService {
    private final Random random = new Random();

    public CardEntity createRandomCard(BlackJackGameEntity game) {
        CardEntity card = new CardEntity();
        card.setGame(game);
        card.setSuit(Suit.values()[random.nextInt(Suit.values().length)]);
        card.setRank(Rank.values()[random.nextInt(Rank.values().length)]);
        return card;
    }
}
